- Processing
- p5.js
- Processing.py

- Processing Foundation

This reference is for Processing 3.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### AudioDevice
Examples |
    import processing.sound.*;
    AudioDevice myAudioServer;

    void setup() {
      size(200, 200);
      myAudioServer = new AudioDevice(this, 44100, 128);
    }

    void draw() {
    }
Description | Audio Device allows for configuring the audio server. If you need a low latency server you can reduce the buffer size. Allowed values are power of 2. For changing the sample rate pass the appropriate value in the constructor.
Methods |
Constructor |
    AudioDevice(parent, samplerate, buffersize)
Parameters |
parent | PApplet: typically use "this"
sampleRate | int: samplerate (i.e. 44100/48000/96000)
bufferSize | int: buffersize (i.e. 32/64/128 ..)

Updated on June 20, 2015 10:37:40pm UTC